<?php

namespace SI_Auto_Update;

if (!defined('ABSPATH')) exit;

if (!class_exists('SI_Auto_Update\Enable_Auto_Update')) {

	/**
	 * auto update
	 */
  final class Enable_Auto_Update {


    public static function updatelist(){
      /**
       * lets exclude these
       */
      $updatetype = array();
      $updatetype['core'] = 'core';
      $updatetype['plugins'] = 'plugins';
      $updatetype['themes'] = 'themes';
      return $updatetype;
    }

		/**
		 * check if update is enabled
		 * @param  string $auto_update
		 * @return
		 */
    public static function update( $update = 'themes'){
      if (in_array( $update , get_option('wpeu_enable_auto_updates') )) {
        return true;
      } else {
        return false;
      }
    }

    public static function checkbox($checkboxname = 'plugins',$upotchecked='',$upt_style = 'style=" background-color: #F5F5F5;color: #555555; padding: 8px;"'){

        $dashicon_style = 'style="padding: 8px; vertical-align: middle;"';
        $checkbox_style = 'style="margin-right: 8px;"';

        switch ($checkboxname) {
          case 'plugins':
            $dashicon ='dashicons-admin-plugins';
            break;
          case 'themes':
            $dashicon ='dashicons-admin-appearance';
            break;
          case 'core':
            $dashicon ='dashicons-wordpress-alt';
            break;
          default:
            break;
        }
          /**
         * build out the checkboxes
         */
        $chkbox  = '<div '.$upt_style.' id="uptype_wrap" >';
        $chkbox .= '<span '.$dashicon_style.' class="wp-menu-image wll-small-admin-dashicons '.$dashicon.'"></span>';
        $chkbox .= '<input '.$checkbox_style.' type="checkbox" name="updatetypes['.$checkboxname.']" value="'.$checkboxname.'" '.$upotchecked.'>';
        //echo '<input type="checkbox" name="pptname['.$post_type->name.']" value="'.$post_type->name.'" '.$checkprotected.'>';
        $chkbox .= '<label for="'.$checkboxname.'">';
        $chkbox .= __(ucwords('WordPress '.$checkboxname));
        $chkbox .= '</label>';
        $chkbox .= '</div>';
        return $chkbox;
    }
    /**
     * enable the updates
     * @return
     */
    public static function enable_updates(){
      /**
       * Automatic updates for All plugins
       */
      if (self::update('plugins')) {
        add_filter( 'auto_update_plugin', '__return_true' );
      }

      /**
       * Automatic updates for All themes
       */
      if (self::update('themes')) {
        add_filter( 'auto_update_theme', '__return_true' );
      }

      /**
       *  Core Updates
       */
      if (self::update('core')) {
        add_filter( 'auto_update_core', '__return_true' );
      }
    }

  } // class
}
