<?php
/**
 * Plugin Name: WP Auto Updates
 * Plugin URI:  https://switchwebdev.com/wordpress-plugins/
 * Description: Enable Automatic Updates for WordPress Core Plugins and Themes.
 * Author:      SwitchWebdev.com
 * Author URI:  https://switchwebdev.com
 * Version:     0.3.3
 * License:     GPLv2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: wp-auto-update
 * Domain Path: languages
 * Usage:
 * Tags:
 *
 * Requires PHP: 5.6+
 * Requires WordPress:  3.7+
 * Tested up to PHP: 7.4
 *
 * Copyright 2018 - 2020 Uriel Wilson, support@switchwebdev.com
 * License: GNU General Public License
 * GPLv2 Full license details in license.txt
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 * ----------------------------------------------------------------------------
 * @category  	Plugin
 * @copyright 	Copyright © 2020 Uriel Wilson.
 * @package   	WPAutoUpdate
 * @author    	Uriel Wilson
 * @link      	https://switchwebdev.com
 *  ----------------------------------------------------------------------------
 */

  # deny direct access
    if ( ! defined( 'WPINC' ) ) {
      die;
    }

  # plugin directory
	  define("WPAU_VERSION", '0.3.3');

  # plugin directory
    define("WPAU_DIR", dirname(__FILE__));

  # plugin url
    define("WPAU_URL", plugins_url( "/",__FILE__ ));
#  -----------------------------------------------------------------------------
  /**
   * Load admin page class via composer
   */
  require_once 'vendor/autoload.php';

  /**
   * setup options on activation
   */
  register_activation_hook( __FILE__, 'wpenu_activation' );
  function wpenu_activation() {
    /**
     * turned off by defualt
     * @var array
     */
    $en_auto_updates = array();
    update_option('wpeu_enable_auto_updates', $en_auto_updates );
  }

	/**
	 * DOCS
	 * @link https://wordpress.org/support/article/configuring-automatic-background-updates/
	 */


  /**
   *  require_once // Load the main class.
   */
  require_once plugin_dir_path( __FILE__ ) . '/src/class-enable-auto-update.php';


  /**
   * load the admin page
   */
  require_once plugin_dir_path( __FILE__ ). 'src/admin/class-updates-settings-admin.php';


  // check for the options
  if (get_option('wpeu_enable_auto_updates')) {
    /**
     * enable_updates()
     */
    SI_Auto_Update\Enable_Auto_Update::enable_updates();
  }
